from pathlib import Path

try:
    ROLE = Path('/etc/server.role').read_text(encoding='ascii').rstrip()
except FileNotFoundError:
    ROLE = ''

if ROLE == 'shared:hub':
    MAIN_RESELLER = 'hubhost'
elif ROLE.startswith('shared:'):
    MAIN_RESELLER = 'inmotion'
else:  # not a salt minion
    MAIN_RESELLER = 'root'  # v/ded
